import Image from "next/image";

export default function features() {
  const features = [
    {
      icon: "/features/best-price.svg", 
      title: "Best prices & offers",
      description: "Orders $50 or more",
    },
    {
      icon: "/features/free-del.svg",
      title: "Free delivery",
      description: "24/7 amazing services",
    },
    {
      icon: "/features/daily-deal.svg",
      title: "Great daily deal",
      description: "When you sign up",
    },
    {
      icon: "/features/free-del.svg",
      title: "Wide assortment",
      description: "Mega Discounts",
    },
    {
      icon: "/features/return.svg",
      title: "Easy returns",
      description: "Within 30 days",
    },
  ];

  return (
    <div className="">
      <div className="grid px-2 lg-grid-cols-4 md:grid-cols-3 grid-cols-2 xl:grid-cols-5 max-w-[1600px] mx-auto md:gap-4 gap-2  ">
        {features.map((feature, index) => (
          <div
            key={index}
            className="flex  items-center  gap-2 px-4 w-full bg-[#F4F6FA] py-6 shadow-md rounded-lg border border-gray-200 "
          >
            <Image className="md:w-10 md:h-10 w-8 h-8" src={feature.icon} alt="icon" width={40} height={40} />
            <div>
              <h3 className="font-semibold text-[13px] md:text-custom16 font-quicksand sm:whitespace-nowrap">{feature.title}</h3>
              <p className="text-gray-500 text-xs ">{feature.description}</p>
            </div>
          </div>
        ))}
      </div>
    </div>
  );
}
